#ifndef _KCJ_RESET_INFO_H
#define _KCJ_RESET_INFO_H
/* arch/arm/mach-msm/kcj_reset_info.h
 *
 * Kyocera Reset Information
 *
 * This software is contributed or developed by KYOCERA Corporation.
 * (C) 2011 KYOCERA Corporation
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#include <linux/ptrace.h>

/****************************************************************************
 * Local Variable/Definition                                                
 ****************************************************************************/
#define RSTINFO_START_ADDR      (0xFC4FE400)
#define RSTINFO_STACK_SIZE      (2048)
#define RSTINFO_MAGIC_LEN       (7)

#define KLOG_IOCTLID            0xD1
#define REQUEST_RESET_INFO      _IO(KLOG_IOCTLID,  1)
#define REQUEST_SAVE_STACK      _IO(KLOG_IOCTLID,  2)
#define REQUEST_READ_MAGIC      _IO(KLOG_IOCTLID,  3)

#define RSTINFO_UNEXPECTED_EXCEPTION    13
#define RSTINFO_PROCESSOR_APPLICATION   0

/****************************************************************************
 * Local Variable/Structure Declaration                                     
 ****************************************************************************/
typedef struct {
    char            magic[RSTINFO_MAGIC_LEN];          /* "RSTINFO"       */
    unsigned char   cause;                             /* reset cause     */
    unsigned char   processor;                         /* cpu kind        */
    unsigned char   remaining;                         /* 0               */

    struct timespec uptime;                            /* uptime          */
    struct timespec idletime;                          /* idle time       */
    struct timespec crashtime;                         /* crash time      */

    struct pt_regs  regs;                              /* registers       */

    unsigned long   stack_limit;                       /* stack limit     */
    unsigned long   dump_size;                         /* dump size       */
    unsigned long   dump_begin;                        /* dump start addr */
    char            stacks[RSTINFO_STACK_SIZE];        /* stack data      */

    unsigned long   sum;                               /* checksum        */
} t_RESET_INFO;

#endif //_KCJ_RESET_INFO_H

